<div class="container" style="width: 40%; padding-top: 25px; padding-bottom: 25px;" *ngFor="let offer of offerInput | async">
    <div class="card">
        <div class="card-header">
            <h5 class="card-title"> {{offer['title']}} </h5>
            <h6 class="cardsubtitle mb-2 text-muted" *ngIf="offer['hotel']; else cruiser"> {{offer['hotel']['name']}} {{offer['hotel']['stars']}}*</h6>    
            <ng-template #cruiser>
                <h6 class="cardsubtitle mb-2 text-muted"> {{offer['cruiser']['roomType']}}</h6>
            </ng-template>
        </div>
        <div class="card-body">
            <p class="card-text"> <i>Days:</i> {{offer['numberOfDays']}}</p> 
            <p class="card-text"> <i>Includes:</i> {{offer['includes']}}</p>
            <p class="card-text" *ngIf="offer['visits']"> <i>Visits:</i> {{offer['visits']}}</p>
            <p class="card-text text-center font-weight-bold"> Total price: {{ offer['dailyPrice']*offer['numberOfDays'] | currency:'EUR'}}</p>
        </div>
        <div class="card-footer text-center">
            <button class="btn btn-success" (click)="onClick(offer)"> Reservate now !</button>
        </div>
    </div>
</div> 
